# =============================================================
# File: 	dumpDetails.sh
# Platforms:	AIX, Linux, HP-UX, Solaris
# Creator: 	IBM Corp. 2007
# Date: 	20 February 2007
# Description:	dumpDetails.sh executes the java program
#		ListDSTChangeDetails, which lists detailed historical
#		and future Daylight Savings Time change for all time
#		zones, or just the specified time zone.
# =============================================================
# INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS SOFTWARE ON AN
# "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
# INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF NON-INFRINGEMENT AND THE
# IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
# IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR
# CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THIS SOFTWARE.
# IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS OR MODIFICATION TO THE SOFTWARE.
# =============================================================
#export JAVA_HOME=/opt/WebSphere/AppServer/Java
if [ -e $JAVA_HOME/bin/java ]
then
        $JAVA_HOME/bin/java -classpath ./DSTTest.jar ListDSTChangeDetails $1
elif [ ! $JAVA_HOME ]
then
       echo Must set JAVA_HOME environment variable to point to java
elif [ ! -d $JAVA_HOME ]
then
       echo JAVA_HOME must be a directory
       echo JAVA_HOME=$JAVA_HOME
else
       echo Could not find $JAVA_HOME/bin/java
fi